RTEMS: rtems_api_configuration_table Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_api_configuration_table Struct Reference
API » Classic » Configuration

`#include <config.h>`

## Data Fields
uint32_t | maximum_tasks
bool | notepads_enabled
uint32_t | maximum_timers
uint32_t | maximum_semaphores
uint32_t | maximum_message_queues
uint32_t | maximum_partitions
uint32_t | maximum_regions
uint32_t | maximum_ports
uint32_t | maximum_periods
uint32_t | maximum_barriers
uint32_t | number_of_initialization_tasks
const rtems_initialization_tasks_table * | User_initialization_tasks_table

## Detailed Description

The following records define the Configuration Table. The information contained in this table is required in all RTEMS systems, whether single or multiprocessor. This table primarily defines the following:

- required number of each object type

## Field Documentation

## ◆ maximum_barriers

uint32_t rtems_api_configuration_table::maximum_barriers

This field contains the maximum number of Classic API Barriers which are configured for this application.

## ◆ maximum_message_queues

uint32_t rtems_api_configuration_table::maximum_message_queues

This field contains the maximum number of Classic API Message Queues which are configured for this application.

## ◆ maximum_partitions

uint32_t rtems_api_configuration_table::maximum_partitions

This field contains the maximum number of Classic API Partitions which are configured for this application.

## ◆ maximum_periods

uint32_t rtems_api_configuration_table::maximum_periods

This field contains the maximum number of Classic API Rate Monotonic Periods which are configured for this application.

## ◆ maximum_ports

uint32_t rtems_api_configuration_table::maximum_ports

This field contains the maximum number of Classic API Dual Ported Memory Areas which are configured for this application.

## ◆ maximum_regions

uint32_t rtems_api_configuration_table::maximum_regions

This field contains the maximum number of Classic API Regions which are configured for this application.

## ◆ maximum_semaphores

uint32_t rtems_api_configuration_table::maximum_semaphores

This field contains the maximum number of Classic API Semaphores which are configured for this application.

## ◆ maximum_tasks

uint32_t rtems_api_configuration_table::maximum_tasks

This field contains the maximum number of Classic API Tasks which are configured for this application.

## ◆ maximum_timers

uint32_t rtems_api_configuration_table::maximum_timers

This field contains the maximum number of Classic API Timers which are configured for this application.

## ◆ notepads_enabled

bool rtems_api_configuration_table::notepads_enabled

This field indicates whether Classic API notepads are enabled or disabled.

## ◆ number_of_initialization_tasks

uint32_t rtems_api_configuration_table::number_of_initialization_tasks

This field contains the number of Classic API Initialization Tasks which are configured for this application.

## ◆ User_initialization_tasks_table

const rtems_initialization_tasks_table* rtems_api_configuration_table::User_initialization_tasks_table

This field is the set of Classic API Initialization Tasks which are configured for this application.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rtems/config.h